# @sapphirecode/console-app

version: 1.8.x

read parameters from env, console args or interactively

## Installation

npm:

> npm i --save @sapphirecode/console-app

yarn:

> yarn add @sapphirecode/console-app

## Usage

```js
const {
  ArrayOption, // arrays made out of numbers, strings and booleans
  BooleanOption,
  FileOption, // paths that exist and are a file
  FolderOption, // paths that exist and are a folder
  NumberOption,
  PathOption, // paths that exist in the file system
  StringOption,
} = require('@sapphirecode/console-app');
```

####################################

  configs: ['json files to search for options'],
  exit_on_interrupt: true,  // exit program when user cancels prompt
  error_callback: (opt, val, err)=>{...} // function to call when an option value could not be read

the parameter sources specifies which sources should be used. It reads from all,
except config files by default

config files can import other config files with #include. example:

```json
#include base.json
{
  "foo": "bar"
}
```

config files are parsed using [hjson](https://github.com/hjson/hjson-js)

## License

MIT © Timo Hocker <timo@scode.ovh>
